#include <InterViews/background.h>
#include <InterViews/box.h>
#include <InterViews/character.h>
#include <InterViews/session.h>
#include <InterViews/style.h>
#include <InterViews/window.h>

int main(int argc, char** argv) {
    Session* session = new Session("Himom", argc, argv);
    Style* style = session->style();
    const Font* f = style->font();
    const Color* fg = style->foreground();
    session->run_window(
	new ApplicationWindow(
	    new Background(
		new LRBox(
		    new Character('g', f, fg),
		    new Character('o', f, fg),
		    new Character('o', f, fg),
		    new Character('d', f, fg),
		    new Character('b', f, fg),
		    new Character('y', f, fg),
		    new Character('e', f, fg)
		),
		style->background()
	    )
	)
    );
}
